<template>
	<view class="content">
		<view class="now" v-if="status == 0">
			<view>当前余额：</view>
			<view class="now-money">￥{{ new_money }}</view>
		</view>
		<view class="now" v-if="status == 2">
			<view>当前易趣卷：</view>
			<view class="now-money">￥{{ userInfo.anticipate }}</view>
		</view>
		<view class="main-jg"></view>
		<view class="add-wrapper">
			<view class="add-box">
				<view class="add-log">￥</view>
				<input type="text" v-model="money" placeholder="请输入充值金额" placeholder-class="place" @keyup="clearNoNum()" />
			</view>
			<view class="jg" style="height: 1px; background-color: #E6E6E6;"></view>
			<view class="add-tags">
				<view class="tag" v-for="(item, index) in addTags" :key="item" @click="tagClick(index)" :class="{ action: currentIndex === index && money == addTags[index] }">
					<text>{{ item }}</text>
					元
				</view>
			</view>
		</view>
		<view class="main-jg"></view>
		<view class="btn-wrapper">
			<view class="icon iconfont iconweixin1"><view>微信充值</view></view>
			<view class="btn" @click="btnClick" :class="{ actiont: isSect }"><image src="../../static/icon/btncz.png" mode="" :class="{ action: !isSect }"></image></view>
		</view>
		<!-- <view class="row-box">
			<view class="title">充值金额</view>
			<view class="row">
				<text class="tit">￥</text>
				<input class="input" type="number" v-model="money" placeholder="请输入充值金额" placeholder-class="placeholder" />
			</view>
		</view> -->
		<view class="list">
			<radio-group @change="tabRadio">
				<!-- #ifdef APP-PLUS -->
				<!-- <label>
					<view class="box">
						<view class="icon iconfont iconzhifubao"></view>
						<view class="title-box">
							<view class="title"><text>支付宝充值</text></view>
						</view>
						<view class="right"><radio value="alipay" color="#5dbc7c" :checked="type == 'alipay'" /></view>
					</view>
				</label> -->
				<label>
					<view class="box">
						<view class="icon iconfont iconweixin1"></view>
						<view class="title-box">
							<view class="title"><text>微信充值</text></view>
							<view class="node"><text>真实姓名(代勇明)</text></view>
						</view>
						<view class="right"><radio value="weixin" color=" #5dbc7c" :checked="type == 'weixin'" /></view>
					</view>
				</label>
				<!-- #endif -->
			</radio-group>
		</view>
		<button class="add-btn up" :class="{ 'active-bg': payLoding }" @click="!payLoding ? confirm() : ''">立即充值</button>
	</view>
</template>

<script>
import { getMoneyStyle } from '@/utils/rocessor.js';
// #ifdef H5
import { rechargeWechat, userBalance } from '@/api/wallet.js';
// #endif
// #ifdef MP
import { rechargeRoutine, userBalance } from '@/api/wallet.js';
// #endif
import { mapState } from 'vuex';
import { orderData, getUserInfo } from '@/api/user.js';
export default {
	filters: {
		getMoneyStyle
	},
	data() {
		return {
			type: 'weixin',
			money: '', //充值金额
			payLoding: false, //是否加载中
			addTags: [300, 200, 150, 100, 50],
			currentIndex: 0,
			addMoney: 0,
			isSect: false, //是否选择微信充值
			new_money: 0,
			status: 0 //0->余额 2->兑换券
		};
	},
	onLoad(options) {
		this.userBalance();
		if (options.status) {
			this.status = options.status;
		}
	},
	computed: {
		// #ifdef H5
		...mapState(['weichatObj']),
		// #endif
		...mapState('user', ['userInfo'])
	},
	methods: {
		// 跳转
		navTo(url) {
			uni.navigateTo({
				url: url
			});
		},
		// 更新数据
		dataUp() {
			let obj = this;
			getUserInfo({})
				.then(e => {
					obj.login();
					// 保存返回用户数据
					obj.setUserInfo(e.data);
				})
				.catch(e => {
					console.log(e);
				});
		},
		// 切换选中对象
		tabRadio(e) {
			this.type = e;
		},
		// 提交
		confirm() {
			let obj = this;
			if (obj.money == 0) {
				return obj.$api.msg('请输入充值金额');
			}
			if (!obj.isSect) {
				return obj.$api.msg('请选择支付方式');
			}

			obj.payLoding = true;
			// #ifdef H5
			let datao = {};
			if (obj.status == 0) {
				datao = {
					price: obj.money,
					from: obj.type
				};
			}
			if (obj.status == 2) {
				datao = {
					price: obj.money,
					from: obj.type,
					type: 2
				};
			}
			rechargeWechat(datao)
				.then(e => {
					let da = e.data.data;
					obj.weichatObj.chooseWXPay({
						timestamp: da.timestamp,
						nonceStr: da.nonceStr,
						package: da.package,
						signType: da.signType,
						paySign: da.paySign,
						success: function(res) {
							this.dataUp();
							uni.showToast({
								title: '充值成功',
								duration: 2000,
								position: 'top'
							});
						}
					});

					obj.payLoding = false;
				})
				.catch(e => {
					obj.payLoding = false;
					console.log(e);
				});
			// #endif
			// #ifdef MP
			rechargeRoutine({
				price: this.money
			})
				.then(e => {
					let da = e.data;
					wx.requestPayment({
						timeStamp: da.timestamp,
						nonceStr: da.nonceStr,
						package: da.package,
						signType: da.signType,
						paySign: da.paySign,
						success: function(res) {
							uni.redirectTo({
								url: '/pages/money/paySuccess?isshow=false'
							});
						}
					});

					obj.payLoding = false;
				})
				.catch(e => {
					obj.payLoding = false;
					console.log(e);
				});
			// #endif
		},
		//获取订单列表
		loadData(source) {
			console.log(source);
			//这里是将订单挂载到tab列表下
			let index = this.tabCurrentIndex;
			let navItem = this.navList[index];
			let state = navItem.state;
			if (source === 'tabChange' && navItem.loaded === true) {
				//tab切换只有第一次需要加载数据
				return;
			}
			if (navItem.loadingType === 'loading') {
				//防止重复加载
				return;
			}
			navItem.loadingType = 'loading';
			setTimeout(() => {
				let orderList = [];
				orderList.forEach(item => {
					navItem.orderList.push(item);
				});
				//loaded新字段用于表示数据加载完毕，如果为空可以显示空白页
				this.$set(navItem, 'loaded', true);
				//判断是否还有数据， 有改为 more， 没有改为noMore
				navItem.loadingType = 'more';
			}, 600);
		},
		tagClick(index) {
			this.currentIndex = index;
			this.money = this.addTags[index];
		},
		clearNoNum() {
			this.money = this.money.replace(/^(\-)*(\d+)\.(\d\d).*$/, '$1$2.$3');
			switch (this.money) {
				case '300':
					this.currentIndex = 0;
					break;
				case '200':
					this.currentIndex = 1;
					break;
				case '150':
					this.currentIndex = 2;
					break;
				case '100':
					this.currentIndex = 3;
					break;
				case '50':
					this.currentIndex = 4;
					break;
			}
		},
		btnClick() {
			this.isSect = !this.isSect;
		},
		userBalance() {
			userBalance().then(res => {
				this.new_money = res.data.now_money;
				console.log(res);
			});
		}
	}
};
</script>

<style lang="scss">
page {
	height: 100%;
	background-color: #fff;
}

.add-btn {
	&.modified {
		color: $base-color;
	}

	&.up {
		background-color: $base-color;
		color: #fff;
	}

	display: flex;
	align-items: center;
	justify-content: center;
	width: 604rpx;
	height: 90rpx;
	margin: 0 auto;
	margin-top: 30rpx;
	font-size: $font-lg;
	border-radius: 10rpx;
	// box-shadow: 1px 2px 5px rgba(219, 63, 96, 0.4);
}

.row-box {
	margin-top: 30rpx;
	padding: 20rpx 30rpx;
	background: #fff;

	.title {
		font-size: $font-base + 2rpx;
		color: $font-color-dark;
	}

	.row {
		display: flex;
		align-items: center;
		position: relative;
		height: 80rpx;

		.tit {
			flex-shrink: 0;
			width: 40rpx;
			font-size: 30rpx;
			color: $font-color-dark;
		}

		.input {
			flex: 1;
			font-size: 30rpx;
			color: $font-color-dark;
		}

		.iconlocation {
			font-size: 36rpx;
			color: $font-color-light;
		}

		.buttom {
			color: $font-color;
			font-size: $font-base;
		}
	}
}

.list {
	padding-left: 30rpx;
	margin-top: 30rpx;
	background-color: #ffffff;

	.box {
		display: flex;
		align-items: center;
		width: 100%;
		height: 120rpx;
		border-bottom: 1px solid $border-color-light;

		.icon {
			font-size: 48rpx;
			padding-right: 20rpx;
		}

		.iconweixin1 {
			color: #18bf16;
		}

		.iconzhifubao {
			color: #08aaec;
		}

		.title-box {
			flex-grow: 1;
			text-align: left;

			.title {
				font-size: $font-base + 2rpx;
				color: $font-color-base;
			}

			.node {
				font-size: $font-sm;
				color: $font-color-light;
			}
		}
	}
}

/deep/ .uni-radio-input {
	width: 45rpx;
	height: 45rpx;
}

.active-bg {
	background-color: $color-gray !important;
}

.now {
	width: 100%;
	height: 86rpx;
	padding: 0 26rpx 0 47rpx;
	display: flex;
	justify-content: space-between;
	line-height: 86rpx;
	background-color: #fff;
	// margin-bottom: 21rpx;

	view {
		font-size: 28rpx;
		font-weight: 500;
		color: #333333;
	}

	.now-money {
		font-size: 32rpx;
		font-weight: bold;
		color: #e1262b;
	}
}

.add-wrapper {
	width: 750rpx;
	height: 338rpx;
	padding-left: 30rpx;
	background: #ffffff;
	display: flex;
	flex-direction: column;
	align-items: center;

	// margin-bottom: 22rpx;
	.add-box {
		width: 100%;
		height: 103rpx;
		display: flex;
		flex-direction: row;
		justify-content: space-between;
		padding: 0 39rpx 0 10rpx;
		align-items: center;

		.add-log {
			font-size: 37rpx;
			font-weight: bold;
		}

		input {
			width: 218rpx;
			height: 30rpx;
			font-size: 32rpx;
			font-weight: 500;
			color: #000;
			line-height: 40px;
			text-align: right;

			.place {
				color: #bfbfbf;
			}
		}
	}

	.jg {
		width: 100%;
	}

	.add-tags {
		height: 234rpx;
		padding-top: 47rpx;
		padding-bottom: 17rpx;
		display: flex;
		flex-direction: row;
		flex-wrap: wrap;

		// justify-content: space-between;
		.tag {
			width: 210rpx;
			height: 70rpx;
			background-color: #f0f0f0;
			border-radius: 4rpx;
			margin: 0 30rpx 30rpx 0;
			text-align: center;
			line-height: 70rpx;
			font-size: 22rpx;

			text {
				font-size: 32rpx;
				font-weight: 500;
			}
		}

		.action {
			color: #fff;
			background-color: #e1262b;
		}
	}
}

.btn-wrapper {
	padding: 49rpx 32rpx 0 40rpx;
	height: 183rpx;
	display: flex;
	justify-content: space-between;
	background-color: #fff;

	.iconweixin1 {
		color: #18bf16;
		font-size: 48rpx;
		display: flex;

		view {
			// display: inline-block;
			height: 48rpx;
			text-align: 48rpx;
			padding-left: 20rpx;
			// padding-top: 10rpx;
			color: #000000;
			font-size: 30rpx;
		}
	}

	.btn {
		width: 36rpx;
		height: 36rpx;
		border: 4rpx #e1262b solid;
		border-radius: 8rpx 8rpx;

		image {
			// display: none;
			width: 100%;
			height: 100%;
		}

		.action {
			display: none;
		}
	}

	.actiont {
		border: none;
	}
}

.main-jg {
	width: 100%;
	height: 21rpx;
	background-color: #f8f6f6;
}
</style>
